javax.crypto

## Interface SecretKey

- All Superinterfaces:
    Key, Serializable
  All Known Subinterfaces:
    PBEKey
  All Known Implementing Classes:
    KerberosKey, SecretKeySpec

      public interface SecretKey
      extends Key

  A secret (symmetric) key.

  This interface contains no methods or constants. Its only purpose is to group (and provide type safety for) secret keys.

  Provider implementations of this interface must overwrite the `equals` and `hashCode` methods inherited from `java.lang.Object`, so that secret keys are compared based on their underlying key material and not based on reference.

  Keys that implement this interface return the string `RAW` as their encoding format (see `getFormat`), and return the raw key bytes as the result of a `getEncoded` method call. (The `getFormat` and `getEncoded` methods are inherited from the `java.security.Key` parent interface.)

  Since:
    1.4
  See Also:
    `SecretKeyFactory`, `Cipher`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static long` | `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.

  - ### Method Summary

    - ### Methods inherited from interface java.security.Key

      `getAlgorithm, getEncoded, getFormat`

- - ### Field Detail

    - #### serialVersionUID

          static final long serialVersionUID

      The class fingerprint that is set to indicate serialization compatibility since J2SE 1.4.
      See Also:
        Constant Field Values

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.